### Method

# AppStream Screenshot set_environment

#### Declaration [src]

    void
    as_screenshot_set_environment (
      AsScreenshot* screenshot,
      const gchar* env_id
    )

#### Description [src]

Sets the GUI environment ID of this screenshot.

#### Parameters

`env_id`

  Type: `const gchar*`

  The GUI environment ID, e.g. “plasma-mobile” or “gnome:dark”.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.